Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057367 - PRD34 - [RFE] ovirt-engine URI rework
Summary: PRD34 - [RFE] ovirt-engine URI rework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Alon Bar-Lev
QA Contact: sefi litmanovich
URL:
Whiteboard: integration
Depends On: 961677 1031597 1038952
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-23 22:20 UTC by Itamar Heim
Modified: 2014-09-18 12:24 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, all web-based resources for the Red Hat Enterprise Virtualization Manager have been moved from the root web server directory to the /ovirt-engine URI namespace. Backward compatibility links: 1. / redirects to /ovirt-engine (welcome page) 2. /ovirt-engine (welcome page) 3. /api -> /ovirt-engine/api 4. ovirt-node/rhev-h registration and pki resources There is no backward compatibility for the User Portal and Administration Portal; users must access these portals via the welcome page to re-bookmark their applications.
Clone Of: 961677
Environment:
Last Closed: 2014-06-09 15:01:27 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 20473 None None None Never
oVirt gerrit 20557 None None None Never
oVirt gerrit 20784 None None None Never
oVirt gerrit 20785 None None None Never
oVirt gerrit 20786 None None None Never
oVirt gerrit 20787 None None None Never
oVirt gerrit 20789 None None None Never
oVirt gerrit 20791 None None None Never
oVirt gerrit 21566 None None None Never

Comment 1 sefi litmanovich 2014-03-17 09:53:39 UTC
Verified on rhevm-3.4.0-0.3.master.el6ev.noarch

Re-direct from /api to /ovirt-engine/api is checked in all automation testing intrinsically.

added basic Test Plan for sanity and change effect on rhev-h registration will be implemented on rhev-h testing.

Comment 2 errata-xmlrpc 2014-06-09 15:01:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.